{
  "name": "webapi",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "build": "ttsc --build --force tsconfig.build.json",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "dev": "NODE_ENV=development tsc-watch --compiler ttypescript/bin/tsc -b tsconfig.build.json --onSuccess \"node --inspect dist/main\"",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,test}/**/*.ts\" --fix",
    "test:unit": "ttsc -b tsconfig.test.json && jest",
    "test:watch": "ttsc -b tsconfig.test.json && jest --watch",
    "test:cov": "ttsc -b tsconfig.test.json && jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "ttsc -b tsconfig.test.json && jest --config ./test/jest.config.js",
    "test:all": "pnpm lint && pnpm test:unit && pnpm test:e2e"
  },
  "dependencies": {
    "@my/lib": "workspace:^1.0.0",
    "@nestjs/common": "^7.5.1",
    "@nestjs/core": "^7.5.1",
    "@nestjs/platform-express": "^7.5.1",
    "@types/express": "^4.17.8",
    "@types/jest": "^26.0.15",
    "@types/node": "^14.14.6",
    "@types/supertest": "^2.0.10",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^6.6.3",
    "ttypescript": "^1.5.12",
    "typescript": "^4.2.0-dev.20210124",
    "typescript-transform-paths": "^2.2.2"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.5.1",
    "@nestjs/schematics": "^7.1.3",
    "@nestjs/testing": "^7.5.1",
    "eslint": "^7.12.1",
    "jest": "^26.6.3",
    "prettier": "^2.1.2",
    "supertest": "^6.0.0",
    "ts-jest": "^26.4.3",
    "ts-loader": "^8.0.8",
    "ts-node": "^9.0.0",
    "tsc-watch": "^4.2.9",
    "tsconfig-paths": "^3.9.0"
  }
}
